package config

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/zrpc"
	"trasfer_middleware/cmd/rpc/etc"
	"trasfer_middleware/cmd/rpc/internal/logic/po/zltx/types"
)

type Config struct {
	zrpc.RpcServerConf
	etc.ExtraConfig
	Cache  cache.CacheConf
	ZLTX   types.ZLTXConf
	Market types.MarketConf
	DB     struct {
		Master struct {
			DataSource string
		}
		Slave struct {
			DataSource string
		}
	}
}
