package types

type CardParam struct {
	OutTradeNo  string
	ProductId   int
	Mobile      string
	AccountType int
	Number      int
	NotifyUrl   string
}

type CardRes struct {
	Code    string `json:"code"`
	Message string `json:"message"`
}

type CardQueryRes struct {
	Code       string `json:"code"`
	Message    string `json:"message"`
	Status     string `json:"status"`
	OutTradeNo string `json:"outTradeNo"`
	CardCode   string `json:"cardCode"`
}
